# $Revision: 1.14 $, $Date: 2009/06/18 12:55:34 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Email
%define		pnam	Find
Summary:	Email::Find - find RFC 822 email addresses in plain text
Summary(pl.UTF-8):	Email::Find - wyszukiwanie adresów pocztowych RFC 822 w czystym tekście
Name:		perl-Email-Find
Version:	0.10
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b38339e6c4ef0a13818195d50a193545
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Mail::Address)
BuildRequires:	perl-Email-Valid
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Email::Find is a module for finding a _subset_ of RFC 822 email
addresses in arbitrary text. The addresses it finds are not guaranteed
to exist or even actually be email addresses at all, but they will be
valid RFC 822 syntax.

%description -l pl.UTF-8
Email::Font to moduł do wyszukiwania _podzbioru_ adresów pocztowych
RFC 822 w dowolnym tekście. Nie ma gwarancji, że znalezione adresy
będą istniały lub nawet faktycznie będą adresami pocztowymi, ale będą
miały składnie zgodną z RFC 822.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Email-Find.spec,v $
Revision 1.14  2009/06/18 12:55:34  amateja
- updated to 0.10

Revision 1.13  2008/07/27 22:33:43  arekm
- release 2

Revision 1.12  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.10  2004/11/03 22:30:20  paladine
- formatting

Revision 1.9  2004/05/06 18:09:32  ankry
- fixed perl-devel BR

Revision 1.8  2004/04/20 23:30:46  ankry
- fixed bconds

Revision 1.7  2004/04/20 10:19:49  ankry
- new bconds

Revision 1.6  2004/04/20 07:35:44  ankry
- license fixes and unification

Revision 1.5  2004/04/14 14:57:03  ankry
- cosmetics

Revision 1.4  2003/09/09 10:24:34  ankry
- spaces -> tab

Revision 1.3  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.2  2003/07/31 21:10:46  qboosh
- pl

Revision 1.1  2003/07/25 19:22:52  radek
- new
